declare const TRANSPARENT_PROXY_FACTORY = "0xEf62Fc23727c17b612081114b1919d139a7b1B83";
declare const PROXY_ADMIN = "0x160E35e28fEE90F3656420584e0a990276219b5A";
declare const PROTOCOL_GUARDIAN = "0x0BF186764D8333a938f35e5dD124a7b9b9dccDF9";
declare const AFC_SAFE = "0x22740deBa78d5a0c24C58C740e3715ec29de1bFa";
declare const MASIV_SAFE = "0xdef1FA4CEfe67365ba046a7C630D6B885298E210";
declare const AGENT_HUB = "0xa1e306dfB12270b02960d5a612539fc587108eD7";
declare const AGENT_HUB_AUTOMATION = "0xc2eb8C711fFBD2cba570d61C081b0bED2B4054F6";
declare const RANGE_VALIDATION_MODULE = "0x9240a6669CC4782FC98620212862DF5CB2e0Df10";
declare const CHAIN_ID = 59144;

declare const MiscLinea_AFC_SAFE: typeof AFC_SAFE;
declare const MiscLinea_AGENT_HUB: typeof AGENT_HUB;
declare const MiscLinea_AGENT_HUB_AUTOMATION: typeof AGENT_HUB_AUTOMATION;
declare const MiscLinea_CHAIN_ID: typeof CHAIN_ID;
declare const MiscLinea_MASIV_SAFE: typeof MASIV_SAFE;
declare const MiscLinea_PROTOCOL_GUARDIAN: typeof PROTOCOL_GUARDIAN;
declare const MiscLinea_PROXY_ADMIN: typeof PROXY_ADMIN;
declare const MiscLinea_RANGE_VALIDATION_MODULE: typeof RANGE_VALIDATION_MODULE;
declare const MiscLinea_TRANSPARENT_PROXY_FACTORY: typeof TRANSPARENT_PROXY_FACTORY;
declare namespace MiscLinea {
  export { MiscLinea_AFC_SAFE as AFC_SAFE, MiscLinea_AGENT_HUB as AGENT_HUB, MiscLinea_AGENT_HUB_AUTOMATION as AGENT_HUB_AUTOMATION, MiscLinea_CHAIN_ID as CHAIN_ID, MiscLinea_MASIV_SAFE as MASIV_SAFE, MiscLinea_PROTOCOL_GUARDIAN as PROTOCOL_GUARDIAN, MiscLinea_PROXY_ADMIN as PROXY_ADMIN, MiscLinea_RANGE_VALIDATION_MODULE as RANGE_VALIDATION_MODULE, MiscLinea_TRANSPARENT_PROXY_FACTORY as TRANSPARENT_PROXY_FACTORY };
}

export { AFC_SAFE as A, CHAIN_ID as C, MiscLinea as M, PROXY_ADMIN as P, RANGE_VALIDATION_MODULE as R, TRANSPARENT_PROXY_FACTORY as T, PROTOCOL_GUARDIAN as a, MASIV_SAFE as b, AGENT_HUB as c, AGENT_HUB_AUTOMATION as d };
